body {
  overflow-x: hidden;
}

.ellipse {
  flex-shrink: 0;
  filter: blur(35rem);
  position: absolute;
}

.ellipse--blue {
  width: 45.4rem;
  height: 45.4rem;
  border-radius: 45.4rem;
  background-color: var(--light-blue);
  left: -13rem;
  top: -10.5rem;
}

.ellipse--purple {
  width: 69.4rem;
  height: 69.4rem;
  border-radius: 69.4rem;
  background-color: var(--light-purple);
  right: -26.2rem;
  bottom: -17.4rem;
  z-index: -1;
  overflow: hidden;
}

.rectangle__1 {
  position: absolute;
  width: 22.3rem;
  height: 19rem;
  top: 77.7rem;
  left: 91.7rem;
  border-radius: 36px;
  border: 2px solid #fbfaff;
  background: linear-gradient(
    180deg,
    rgba(254, 250, 255, 0.3) 5.9%,
    rgba(249, 235, 255, 0.3) 29.27%,
    rgba(250, 237, 255, 0.3) 100%
  );
  box-shadow: 0px 7px 23px -7px rgba(211, 155, 227, 0.24);
  z-index: -1;
}

.rectangle__2 {
  width: 10.4rem;
  height: 8.2rem;
  flex-shrink: 0;
  border-radius: 8px;
  border: 1px solid #fbfaff;
  background: linear-gradient(180deg, #fefbff 0%, #f9ebff 51.04%, #faedff 100%);
  box-shadow: 0px 4px 14px 0px rgba(230, 195, 240, 0.25);
  top: 48.3rem;
  left: 141rem;
  position: absolute;
  z-index: 1;
}

.rectangle__3 {
  width: 35.7rem;
  height: 32.2rem;
  flex-shrink: 0;
  border-radius: 36px;
  border: 2px solid #fbfaff;
  background: linear-gradient(
    180deg,
    rgba(254, 250, 255, 0.6) 5.9%,
    rgba(249, 235, 255, 0.6) 29.27%,
    rgba(250, 237, 255, 0.6) 100%
  );
  box-shadow: 0px 7px 23px -7px #d39be3;
  backdrop-filter: blur(1.5px);
  top: 51.8rem;
  left: 144.4rem;
  position: absolute;
  z-index: 3;
}

.rectangle__4 {
  width: 20.4rem;
  height: 13.8rem;
  flex-shrink: 0;
  border-radius: 8px;
  border: 1px solid #fbfaff;
  background: linear-gradient(
    180deg,
    rgba(252, 245, 255, 0.6) 0%,
    rgba(249, 235, 255, 0.6) 6.77%,
    rgba(250, 237, 255, 0.6) 100%
  );
  box-shadow: 0px 4px 9px 0px rgba(201, 151, 216, 0.25);
  filter: blur(0.5px);
  backdrop-filter: blur(4.5px);
  position: absolute;
  top: 78.7rem;
  left: 162.6rem;
  z-index: 2;
}

.rectangle__5 {
  width: 5.1rem;
  height: 5.8rem;
  flex-shrink: 0;
  border-radius: 8px;
  border: 1px solid #fbfaff;
  background: linear-gradient(
    180deg,
    rgba(252, 245, 255, 0.7) 0%,
    rgba(249, 235, 255, 0.7) 6.77%,
    rgba(250, 237, 255, 0.7) 100%
  );
  box-shadow: 0px 4px 13px 0px rgba(211, 152, 242, 0.36);
  backdrop-filter: blur(7px);
  top: 89.6rem;
  left: 160.2rem;
  position: absolute;
  z-index: 1;
}

.icon__rectangle__1 {
  position: absolute;
  z-index: 5;
  width: 8rem;
  height: 8.1rem;
  flex-shrink: 0;
  border-radius: 39px;
  border: 1px solid #fbfaff;
  background: var(--liear, linear-gradient(180deg, #fff 0.2%, #fee5ff 122.2%));
  box-shadow: 0px 14px 15px 0px rgba(206, 170, 234, 0.44);
  top: 58.8rem;
  left: 158.7rem;
}

.icon__rectangle__2 {
  position: absolute;
  z-index: 6;
  width: 5.1rem;
  height: 5.2rem;
  flex-shrink: 0;
  border-radius: 39px;
  background: var(--liear, linear-gradient(180deg, #fff 0.2%, #fee5ff 122.2%));
  box-shadow: 0px 14px 15px 0px rgba(206, 170, 234, 0.44);
  top: 60.2rem;
  left: 160.2rem;
}

.icon__rectangle__3 {
  position: absolute;
  z-index: 5;
  width: 13.6rem;
  height: 9rem;
  flex-shrink: 0;
  border-radius: 39px;
  border: 1px solid #fbfaff;
  background: var(--liear, linear-gradient(180deg, #fff 0.2%, #fee5ff 122.2%));
  box-shadow: 0px 14px 15px 0px rgba(206, 170, 234, 0.44);
  top: 67.9rem;
  left: 156rem;
}

.icon__rectangle__4 {
  position: absolute;
  z-index: 6;
  width: 11rem;
  height: 6.4rem;
  flex-shrink: 0;
  border-radius: 39px;
  background: var(--liear, linear-gradient(180deg, #fff 0.2%, #fee5ff 122.2%));
  box-shadow: 0px 14px 15px 0px rgba(206, 170, 234, 0.44);
  top: 69.2rem;
  left: 157.3rem;
}

.icon__login {
  width: 17.5324rem;
  height: 18.1887rem;
  position: absolute;
  top: 58.9rem;
  left: 153.5rem;
  z-index: 5;
  flex-shrink: 0;
}

.form {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5rem;
  padding: 3.5rem 6rem;
  border-radius: 2.5rem;
  box-shadow: 0 2.5rem 12rem 0 #f0e3ff;
  background-color: #fff;
}

.form--signup {
  margin: 10.4rem 84.5rem 12.6rem 40.5rem;
}

.form--login {
  margin: 23.2rem 89.1rem 17.3rem 35.9rem;
}

.form__heading {
  font-size: 4rem;
  font-weight: 500;
  line-height: 200%;
  text-align: center;
}

.form__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 4.5rem;
}

.form__info {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 2.5rem;
}

.form__el {
  display: flex;
  width: 55rem;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 1rem;
}

.form__label {
  font-size: 1.6rem;
}

.form__input__box {
  display: flex;
  height: 5rem;
  padding: 1.5rem;
  align-items: center;
  gap: 1.5rem;
  align-self: stretch;
  border-radius: 1rem;
  border: 1px solid #dcdcdc;
}

.icon {
  width: 2.2rem;
  height: 2.2rem;
}

.form__input__text::placeholder {
  color: var(--gray);
}

.form__input__text {
  border: none;
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex: 1 0 0;
  align-self: stretch;
}

.form__action {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2.5rem;
}

.btn {
  display: flex;
  width: 55rem;
  padding: 1.5rem;
  justify-content: center;
  align-items: center;
  align-items: stretch;
  border-radius: 1rem;
  gap: 1.5rem;
  background: #fff;
  border: 1.5px solid #dcdcdc;
  cursor: pointer;
}

.btn--purple {
  background: var(--purple);
  align-self: stretch;
  flex: 1 0 0;
  border: none;
}

.btn__text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-size: 1.6rem;
}

.btn--purple p {
  color: #fff;
  font-weight: 500;
}

.form__action__separator {
  display: flex;
  width: 55rem;
  justify-content: center;
  align-items: center;
  gap: 1.2rem;
}

.line {
  width: 8.5rem;
  height: 0.5px;
  background: var(--gray);
}

.separator {
  display: flex;
  width: 1.9rem;
  height: 3rem;
  flex-direction: column;
  justify-content: center;
  flex-shrink: 0;
  text-align: center;
  font-size: 1.6rem;
}

.form__footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.form__footer__text {
  font-size: 1.6rem;
  font-weight: 300;
}

.form__text--special {
  color: var(--purple);
  font-weight: 400;
  text-decoration: none;
}

/*
Login Special styles
*/

.form__el__double {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 1rem;
  align-self: stretch;
}

.form__forget {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-self: stretch;
  font-size: 1.6rem;
}

.checkbox {
  display: flex;
  align-items: center;
  gap: 1.1rem;
  align-self: stretch;
}

.form__text--special {
  color: #bd96f1;
}

.checkbox__label {
  font-weight: 300;
  line-height: 156.25%;
}

/* Error */
.error {
  width: 40rem;
  height: 3rem;
  border-radius: 16px;
  background-color: palevioletred;
  color: #fff;
  font-size: 1.4rem;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 4s;
}
